HTTP API
ECS Hierarchy
GET/api/v1/ecs/{index}/entities/{entity_id}/children
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
index*string
entity_id*string
Query Parameters
limit?integer
Format
int32Range
0 <= valueoffset?integer
Format
int32Range
0 <= valueResponse Body
application/json
curl -X GET "https://example.com/api/v1/ecs/string/entities/string/children"[ { "archetype_hash": "string", "entity_id": "string", "version": 0 }]DELETE/api/v1/ecs/{index}/entities/{entity_id}/parent
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
index*string
entity_id*string
Response Body
application/json
curl -X DELETE "https://example.com/api/v1/ecs/string/entities/string/parent"{ "archetype_hash": "string", "component_versions": { "property1": 0, "property2": 0 }, "components": { "property1": null, "property2": null }, "created_at": "string", "entity_id": "string", "index": "string", "parent": "string", "tags": [ "string" ], "updated_at": "string", "version": 0}PUT/api/v1/ecs/{index}/entities/{entity_id}/parent
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
index*string
entity_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/v1/ecs/string/entities/string/parent" \ -H "Content-Type: application/json" \ -d '{ "parent_id": "string" }'{ "archetype_hash": "string", "component_versions": { "property1": 0, "property2": 0 }, "components": { "property1": null, "property2": null }, "created_at": "string", "entity_id": "string", "index": "string", "parent": "string", "tags": [ "string" ], "updated_at": "string", "version": 0}